Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.ui.text
[Java] Class StructuredSyntaxDocumentFilter.LexerNode

    java.lang.Object
      groovy.ui.text.StructuredSyntaxDocumentFilter.LexerNode

    public final class StructuredSyntaxDocumentFilter.LexerNode

Method Summary
`Style` | `getDefaultStyle()`
`boolean` | `isInitialized()` @return true if initialised
`void` | `parse(CharBuffer buffer, int offset, int length)` @param buffer
`void` | `putChild(String regexp, LexerNode node)` @param regexp
`void` | `putChild(String[] regexps, LexerNode node)` @param regexps
`void` | `putStyle(String regexp, Style style)` @param regexp
`void` | `putStyle(String[] regexps, Style style)` @param regexps
`void` | `removeChild(String regexp)` @param regexp
`void` | `removeStyle(String regexp)` @param regexp
`void` | `removeStyle(String[] regexps)` @param regexps
`void` | `setDefaultStyle(Style style)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### getDefaultStyle

    public Style getDefaultStyle()

### isInitialized

    public boolean isInitialized()

  Returns:
    true if initialised

### parse

    public void parse(CharBuffer buffer, int offset, int length)

  throws:
    BadLocationException
  Parameters:
    buffer
    offset
    length

### putChild

    public void putChild(String regexp, LexerNode node)

  Parameters:
    regexp
    node

### putChild

    public void putChild(String[] regexps, LexerNode node)

  Parameters:
    regexps
    node

### putStyle

    public void putStyle(String regexp, Style style)

  Parameters:
    regexp
    style

### putStyle

    public void putStyle(String[] regexps, Style style)

  Parameters:
    regexps
    style

### removeChild

    public void removeChild(String regexp)

  Parameters:
    regexp

### removeStyle

    public void removeStyle(String regexp)

  Parameters:
    regexp

### removeStyle

    public void removeStyle(String[] regexps)

  Parameters:
    regexps

### setDefaultStyle

    public void setDefaultStyle(Style style)

Copyright © 2003-2010 The Codehaus. All rights reserved.